## lincity 1.09

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,8 @@
 LC_LIBDIR = /usr/local/lib/lincity
 #          for solaris you might choose...
 #          LC_LIBDIR = /opt/lcity/lib
-export LC_LIBDIR
+
+# export LC_LIBDIR
 
 #       This is where the manpage will be placed.
 LC_MANDIR = /usr/local/man/man6
@@ -53,7 +54,7 @@
 	@echo make xlincity '   ' compiles the X version for Linux
 #	@echo make hpux '       ' compiles the X version for HP-UX 9.05
 #	@echo make solaris '    ' compiles the X version for Solaris
-	@echo make '[hpux|solaris|freebsd|irix]' for those platforms.
+	@echo make '[hpux|solaris|freebsd|irix|sco]' for those platforms.
 	@echo '    ' picedit is used to draw the icons, it is not part of the game.
 	@echo make picedit '    ' compiles and installs SVGA picedit
 	@echo make xpicedit '   ' compiles and installs xpicedit
@@ -86,16 +87,16 @@
 # I only call the Makefile generated by imake for linking
 # all the objects and libraries. 
 xlincity : $(XOBJS)
-	imake -s XMakefile $(LC_IMAKE_ARGS)
+	imake -s XMakefile $(LC_IMAKE_ARGS) LC_LIBDIR=$(LC_LIBDIR)
 	make -f XMakefile
 
 solaris :
-	make -f sunosMakefile
+	make -f sunosMakefile LC_LIBDIR=$(LC_LIBDIR)
 	@echo
 	@echo xlincity compiled, now make install.
 
 hpux : 
-	make -f hpuxMakefile
+	make -f hpuxMakefile LC_LIBDIR=$(LC_LIBDIR)
 	@echo
 	@echo xlincity compiled, now make install.
 
@@ -104,23 +105,43 @@
 	@echo xlincity compiled, now make install.
 
 irix :
-	make -f irixMakefile
+	make -f irixMakefile LC_LIBDIR=$(LC_LIBDIR)
+	@echo
+	@echo xlincity compiled, now make install.
+
+sco :
+	make -f scoMakefile LC_LIBDIR=$(LC_LIBDIR)
 	@echo
 	@echo xlincity compiled, now make install.
 
 install :
+# a version(?) of mkdir for SCO OpenServer fails if the dir already
+# exists, even with the -p flag, hence the '-'. We should still
+# catch a failure with the chmod hopefully.
+	-mkdir -p $(LC_BINDIR)
+	chmod 755 $(LC_BINDIR)
 	-cp lincity $(LC_BINDIR)
 	-chmod +s $(LC_BINDIR)/lincity
 	-cp xlincity $(LC_BINDIR)
+	-chmod 755 $(LC_BINDIR)/xlincity
 	-mkdir -p $(LC_LIBDIR)
+	chmod 755 $(LC_LIBDIR)
 	cp -r icons $(LC_LIBDIR)
+	chmod 755 $(LC_LIBDIR)/icons
 	cp -r help $(LC_LIBDIR)
+	chmod 755 $(LC_LIBDIR)/help
 	cp -r messages $(LC_LIBDIR)
+	chmod 755 $(LC_LIBDIR)/messages
 	cp -r opening $(LC_LIBDIR)
+	chmod 755 $(LC_LIBDIR)/opening
 	cp open.tga.gz $(LC_LIBDIR)/opening
 	cp colour.pal $(LC_LIBDIR)
+	chmod -R o+r $(LC_LIBDIR)
 	-mkdir -p $(LC_MANDIR)
 	cp lincity.man $(LC_MANDIR)/lincity.$(LC_MANSUF)
+	chmod o+r $(LC_MANDIR)/lincity.$(LC_MANSUF)
+	chmod o+rx `dirname $(LC_BINDIR)`
+	chmod o+rx `dirname $(LC_MANDIR)`
 
 uninstall:
 	-rm $(LC_BINDIR)/lincity
