## lincity 1.10

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 
 # EXTRA_OPTS =   -fomit-frame-pointer -fstrength-reduce -ffast-math
-EXTRA_OPTS = -fstrength-reduce -ffast-math
+#EXTRA_OPTS = -fstrength-reduce -ffast-math
 WARN_OPTS  = -Wall -Wpointer-arith -Wcast-align -Winline
 # DEBUG_OPTS =-g
 CFLAGS = -O2 $(DEBUG_OPTS) $(EXTRA_OPTS) $(WARN_OPTS) -DLIBDIR=\"$(LC_LIBDIR)\"
