=== debian/changelog ===
lincity (1.13.1-17) unstable; urgency=medium

  * Fix FTBFS due to function pointer use with GCC 15 (Closes: #1097300)
  * Put Debian packaging to git.
  * Standards-Version 4.7.2 (no changes necessary)
  * Replace debian/compat file with a dependency on debhelper-compat.

 -- Kari Pahula <kaol@debian.org>  Sun, 07 Sep 2025 11:49:14 +0300

lincity (1.13.1-16) unstable; urgency=medium

  * Add HandleError declaration to lin-city.h to avoid implicit definition
    error from the -Werror=implicit-function-declaration build
    flag. (Closes: #1066295)
  * Standards-Version 4.6.2 (no changes necessary)

 -- Kari Pahula <kaol@debian.org>  Sun, 17 Mar 2024 11:10:25 +0200

lincity (1.13.1-15) unstable; urgency=medium

  * Build using system's gettext library instead of the included 0.11.5
    release and update automake macro for that.  (Closes: #978343)
  * Standards-Version 4.5.1 (no changes necessary)
  * Update /usr/share/doc/lincity/Acknowledgements encoding to UTF-8.

 -- Kari Pahula <kaol@debian.org>  Mon, 28 Dec 2020 22:48:57 +0200

lincity (1.13.1-14) unstable; urgency=medium

  * Standards-Version 4.5.0 and debhelper compat 13
    - Set priority as optional
    - Switch debian/rules to dh
  * Remove duplicate global variable definitions across different files to
    fix FTBFS with GCC 10 (Closes: #957489)
  * Set maximum map window size to avoid crashing with a large window

 -- Kari Pahula <kaol@debian.org>  Sat, 02 May 2020 10:36:53 +0300

lincity (1.13.1-13) unstable; urgency=medium

  * Standards-Version to 3.9.8, remove menu entry.
  * Fix implicit declarations to avoid FTBFS (Thanks to
    paulliu@debian.org) (Closes: #823432)
  * Add --bindir=/usr/games to configure parameters.

 -- Kari Pahula <kaol@debian.org>  Sun, 22 May 2016 09:29:18 +0300

lincity (1.13.1-12) unstable; urgency=medium

  * Bump Standards-Version to 3.9.6 (no changes necessary).
  * Fix FTBFS with clang (Thanks to Arthur Marble) (Closes: #757859)
  * Set Version in lincity.desktop to 1.1 and update other fields (Thanks
    to Javier Cantero) (Closes: #778692)
  * Remove included gettext m4 files before configure to use system's own
    and refresh config.rpath and po/Makefile.in.in from gettext.  Add
    gettext as build dependency.  (Closes: #701658)
  * Add extern inline declarations to mouse.c to satisfy C99 inline
    semantics.  (Closes: #777982)

 -- Kari Pahula <kaol@debian.org>  Tue, 12 May 2015 22:10:19 +0300

lincity (1.13.1-11) unstable; urgency=low

  * Cope with (despite hints) resized splash screen.  (Closes: #701927)

 -- Kari Pahula <kaol@debian.org>  Sat, 02 Mar 2013 11:11:56 +0200

lincity (1.13.1-10) unstable; urgency=low

  * Install .desktop file to where it belongs.  (Closes: #668191)

 -- Kari Pahula <kaol@debian.org>  Fri, 04 May 2012 22:37:54 +0300

lincity (1.13.1-9) unstable; urgency=low

  * Checked that lincity is API compatible with libpng15 and switched
    build dependency to libpng-dev.  (Closes: #662419)
  * Standards-Version 3.9.3 (no changes needed).
  * Use dh-autoreconf.

 -- Kari Pahula <kaol@debian.org>  Mon, 05 Mar 2012 19:04:55 +0200

lincity (1.13.1-8) unstable; urgency=low

  * New maintainer (Closes: #658573)
  * Use cdbs and autoconf to regenerate configure script at build time.
  * Standards-Version 3.9.2, dpkg-source format 3.0 (quilt) and debhelper
    compat 9.
  * Remove references to lincity-x and lincity-svga from debian/control.
  * Priority changed to extra.
  * Patch windmill segfault bug (Closes: #374901)
  * Patch coal reserve initialization (Closes: #486597)
  * Patch splash screen scroller delay to be 64 bit safe.

 -- Kari Pahula <kaol@debian.org>  Sun, 05 Feb 2012 00:23:58 +0200

lincity (1.13.1-7.2) unstable; urgency=low

  [ Jari Aalto ]
  * Non-maintainer upload.
  * debian/changelog
    - Remove obsolete Emacs local variables.
  * debian/control
    - (Build-Depends): update obsolete xutils to xutils-dev.
      (important; Closes: #575857). Update to debhelper from 4 to 7.1.
    - (Homepage): Move from description to its own field.
    - (Standards-Version): Update ancient 3.7.2 to 3.8.4.
  * debian/lincity.desktop
    - (Encoding): remove obsolete field.
    - (Categories): Correct "*;Strategy" to ";StrategyGame".
  * debian/lincity.install:
    - New file.
  * debian/NEWS
    - Correct layout (W: Lintian). No content changes.
  * debian/rules
    - (binary-arch): Remove obsolete dh_desktop and replace it with
      debian/lincity.install file.
    - Remove EOL whitespaces.

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 02 May 2010 18:51:49 +0300

lincity (1.13.1-7.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add build-dep on libxext-dev, fixes FTBFS (Closes: #487000)

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 27 Jun 2008 22:08:08 +0200

lincity (1.13.1-7) unstable; urgency=low

  * Bump Standards-Version: 3.7.2.
  * debian/compat to 5.
  * Updated debian/watch to version 3.

 -- Jose Carlos Medeiros <debian@psabs.com.br>  Thu, 17 May 2007 12:23:32 -0300

lincity (1.13.1-6) unstable; urgency=low

  * Added po translation to Brazilian Portuguese.

 -- Jose Carlos Medeiros <debian@psabs.com.br>  Thu, 16 Mar 2006 18:20:03 -0300

lincity (1.13.1-5) unstable; urgency=low

  * New Mantainer. (closes: #344448)
  * Added lincity.xpm icon, updated menu and desktop file.

 -- Jose Carlos Medeiros <debian@psabs.com.br>  Fri, 23 Dec 2005 14:55:50 -0200

lincity (1.13.1-4) unstable; urgency=low

  * Update Swedish translation, thanks again to Daniel Nylander
    (Closes: #338525)

 -- Florian Ernst <florian@debian.org>  Thu, 10 Nov 2005 22:31:08 +0100

lincity (1.13.1-3) unstable; urgency=low

  * Include Swedish translation by Daniel Nylander (Closes: #337878)
  * Include desktop file from Ubuntu, thanks Barry deFreese
  * debian/rules: minor adjustments / improvements
  * Upgrade debhelper compatibility level

 -- Florian Ernst <florian@debian.org>  Mon,  7 Nov 2005 12:34:47 +0100

lincity (1.13.1-2) unstable; urgency=low


