=== debian/control ===
Source: lincity
Section: games
Priority: optional
Maintainer: Kari Pahula <kaol@debian.org>
Build-Depends:
 debhelper (>= 13),
 debhelper-compat (= 13),
 libpng-dev,
 libsm-dev,
 libx11-dev,
 xutils-dev,
 libxext-dev,
 gettext,
Standards-Version: 4.7.2
Homepage: http://lincity.sourceforge.net/

Package: lincity
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: build & maintain a city/country
 You are required to build and maintain a city. You must feed, house,
 provide jobs and goods for your residents. You can build a sustainable
 economy with the help of renewable energy and recycling, or you can go for
 broke and build rockets to escape from a pollution ridden and resource
 starved planet, it's up to you. Due to the finite resources available in any
 one place, this is not a game that you can leave for long periods of time.
 This game is similar to the commercial simulation game with a similar
 name.
