=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_autoreconf:
	cp /usr/share/gettext/config.rpath $(CURDIR)
	cp /usr/share/gettext/po/Makefile.in.in $(CURDIR)/po
	dh_autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --with-gzip --without-svga --disable-rpath --bindir=/usr/games

override_dh_link:
	ln -s /usr/share/locale debian/lincity/usr/share/lincity/locale
	dh_link
