=== debian/watch ===
version=3
http://sf.net/lincity/lincity-(.*)\.tar\.gz
